CentOS安装mysql-devel出错解决方案

我在安装mysql-devel出错。

yum install -y mysql-devel

会有类似这样的提示:

Error: Package: 1:mariadb-devel-5.5.50-1.el7_2.x86_64 (updates)

Requires: libmysqlclient.so.18()(64bit)

Available: 1:mariadb-libs-5.5.44-2.el7.centos.x86_64 (base)

libmysqlclient.so.18()(64bit)

Available: 1:mariadb-libs-5.5.47-1.el7_2.x86_64 (updates)

libmysqlclient.so.18()(64bit)

Available: 1:mariadb-libs-5.5.50-1.el7_2.x86_64 (updates)

libmysqlclient.so.18()(64bit)

 

安装mysql5.7的源解决:

[root@localhost ~]# cd /etc/yum.repos.d/

[root@localhost ~]# rpm -ivh http://repo.mysql.com/mysql57-community-release-el7-8.noarch.rpm

[root@localhost ~]# yum install mysql-devel

如果发现下载不了或者地址失效,请联系客服QQ: 2323178881
找资料 » CentOS安装mysql-devel出错解决方案

提供最优质的资源集合

立即查看 了解详情